> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vidjutsu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List posts or get by ID

> Returns a single post if ?id= is provided, or a list of posts. Filter by ?accountId= or ?tag.key=value.



## OpenAPI

````yaml /openapi/spec.json get /v1/posts
openapi: 3.0.0
info:
  title: VidJutsu API
  version: 2026-05-24-2
servers:
  - url: https://api.vidjutsu.ai
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Assets
  - name: Editor Projects
  - name: Scrape
  - name: Billing
  - name: API Keys
  - name: Usage
  - name: Info
  - name: Pricing
  - name: Subscriptions
  - name: Auth
  - name: Accounts
  - name: Posts
  - name: References
  - name: Upload
  - name: Watch
  - name: Extract
  - name: Transcribe
  - name: Check
  - name: Compliance
  - name: Overlay
  - name: Disclaimer
  - name: Agent
paths:
  /v1/posts:
    get:
      tags:
        - Posts
      summary: List posts or get by ID
      description: >-
        Returns a single post if ?id= is provided, or a list of posts. Filter by
        ?accountId= or ?tag.key=value.
      operationId: listOrGetPosts
      parameters:
        - name: id
          in: query
          required: false
          schema:
            type: string
          explode: false
        - name: accountId
          in: query
          required: false
          schema:
            type: string
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/Post'
                  - $ref: '#/components/schemas/PostListResponse'
components:
  schemas:
    Post:
      type: object
      required:
        - postId
        - clientId
        - status
        - createdAt
      properties:
        postId:
          type: string
        clientId:
          type: string
        accountId:
          type: string
        videoId:
          type: string
        mediaUrl:
          type: string
        caption:
          type: string
        brief: {}
        status:
          $ref: '#/components/schemas/PostStatus'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        createdAt:
          type: integer
          format: int64
    PostListResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Post'
    PostStatus:
      type: string
      enum:
        - draft
        - active
        - deleted
    Tag:
      type: object
      required:
        - key
        - value
      properties:
        key:
          type: string
        value:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````